stages:
  - build-ui
  - tag-ui

build-ui:
  stage: build-ui
  trigger:
    include:
      - project: 'ci-tools/docker-builder'
        file: '/ci.yml'
    strategy: depend
  variables:
    BUILD_AARCH64: "false"
    BUILD_ARG_1: BUILD_TIME=$(date)
    BUILD_ARG_2: COMMIT_SHORT_SHA=$CI_COMMIT_SHORT_SHA
    TO: "${CI_REGISTRY_IMAGE}/${CI_PROJECT_TITLE}-ui"
    CONTEXT_DIR: ui/
    DOCKER_FILE: ui/Dockerfile
  rules:
    - when: on_success

.tag_image:
  stage: tag-ui
  image: gitlab-registry.cern.ch/ci-tools/docker-builder/tools
  variables:
    GIT_STRATEGY: none
  needs:
    - build-ui
  script:
    - /kaniko/auth.sh
    - crane tag "$CI_REGISTRY_IMAGE/${CI_PROJECT_TITLE}-ui:$CI_COMMIT_SHORT_SHA" "$NEWTAG"
    - crane validate --remote "$CI_REGISTRY_IMAGE/${CI_PROJECT_TITLE}-ui:$NEWTAG"

tag_latest:
  variables:
    NEWTAG: "latest"
  extends: .tag_image
  only:
    - master
    - main

tag_tags:
  variables:
    NEWTAG: $CI_COMMIT_TAG
  extends: .tag_image
  only:
    - tags